=== debian/changelog ===
superkb (0.23-2) unstable; urgency=medium

  * Remove --pedantic-errors so GCC 6 compilation succeeds.
    (Closes: #811685)
  * Added xdg-utils to Recommends, because it's used in the default
    configuration but it's not strictly needed to run Superkb.
  * Switched FEEDBACK_HANDLER from aosd-cat to libnotify-bin because
    aosd-cat does not compile under arm64.

 -- Octavio Alvarez <alvarezp@alvarezp.com>  Wed, 27 Jan 2016 15:21:08 -0800

superkb (0.23-1) unstable; urgency=low

  * Initial release (Closes: #647877)

 -- Octavio Alvarez <alvarezp@alvarezp.com>  Sun, 22 Feb 2015 07:59:24 -0800
