=== debian/control ===
Source: superkb
Section: x11
Priority: extra
Maintainer: Octavio Alvarez <alvarezp@alvarezp.com>
Build-Depends: debhelper (>= 9.0.0), libimlib2-dev, libx11-dev, libxft-dev, libxinerama-dev, x11proto-render-dev, libxrender-dev, libpango1.0-dev, libgdk-pixbuf2.0-dev, libcairo2-dev, help2man
Standards-Version: 3.9.6
Homepage: http://superkb.sf.net/

Package: superkb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnotify-bin, tango-icon-theme
Recommends: xdg-utils
Description: Hotkey-based application launcher with on-screen hints
 Superkb is a keyboard-based application launcher based on a hotkey
 (usually the Super key) that allows for on-screen keyboard hints
 to be displayed if the hotkey is held long enough without calling
 any bound action.
