=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PREFIX=/usr
export OVERRIDE_PEDANTIC_ERRORS=-Wpedantic

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ 

override_dh_auto_configure:
	echo XINERAMA_SUPPORT=y > configuration
	echo PUTICON_GDKPIXBUF=m >> configuration
	echo PUTICON_IMLIB2=m >> configuration
	echo DRAWKBLIBS_XLIB=m >> configuration
	echo DRAWKBLIBS_CAIRO=m >> configuration

override_dh_installdocs:
	dh_installdocs
	#cat changelog.en.txt | gzip -n -9 > debian/superkb/usr/share/doc/superkb/changelog.gz
