=== debian/watch ===
version=3

# Project is hosted at Github
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/superkb-$1.tar.gz/ https://github.com/alvarezp/superkb/tags .*/v?(\d\S*)\.tar\.gz
